Subject: BASH: My favourite aliases
From: [email-masked] (Andrew E. Mileski)
Date: 14 Sep 1996 05:13:22 GMT
Newsgroups: comp.os.linux.misc

My favourite BASH aliases:
	alias bye='clear ; logout'
	alias l='ls -al'
	alias lc='ls -aC'
	alias lf='ls -aF'
These are system wide - put them in /etc/profile

Anybody else have some handy tips? :-)

--
Andrew E. Mileski
mailto:[email-masked]           http://www.redhat.com/~aem/
Linux Plug-and-Play Project Leader  http://www.redhat.com/linux-info/pnp/
PGP public keys are available from  http://www.redhat.com/~aem/pgp-keys.txt

From: Mark Hamstra <[email-masked]>
Newsgroups: comp.os.linux.misc
Subject: Re: BASH: My favourite aliases
Date: Sat, 14 Sep 1996 09:52:27 -0400
Organization: Bentley Systems, Inc.

Andrew E. Mileski wrote:
> 
> My favourite BASH aliases:

[...]

> Anybody else have some handy tips? :-)

Here's my personal favorite:

          alias newest="finger @linux.cs.helsinki.fi"

Mark Hamstra
Bentley Systems, Inc.

From: [email-masked] (Inconnu)
Newsgroups: comp.os.linux.misc
Subject: Re: BASH: My favourite aliases
Date: 15 Sep 1996 01:49:02 -0600
Organization: Idaho State University

In article <[email-masked]>,
Andrew E. Mileski <[email-masked]> wrote:

>Anybody else have some handy tips? :-)

Ahh, my favorite alias is this one::

alias rmemacs='find . -name '\''*~'\'' -exec rm {} \;'

which will recursivly remove all of those damn filename~ that emacs
leaves as backup files.  I commonly use it after working on a project
that spans multiple directories.
-- 
[email-masked]  (http://www.isu.edu/~kellcrai)

From: Dave Pearson <[email-masked]>
Subject: Re: BASH: My favourite aliases
Organization: A Private Internet Host
X-Homepage: http://www.acemake.com/hagbard
Date: Sun, 15 Sep 1996 08:20:25 GMT
Newsgroups: comp.os.linux.misc

Andrew E. Mileski <[email-masked]> wrote:
> My favourite BASH aliases:
> 	alias bye='clear ; logout'
> 	alias l='ls -al'
> 	alias lc='ls -aC'
> 	alias lf='ls -aF'
> These are system wide - put them in /etc/profile
> 
> Anybody else have some handy tips? :-)

I've got a number of dos partitions mounted, I find these handy:

 alias a:='cd /dos/a'
 alias c:='cd /dos/c'
 alias d:='cd /dos/d'
 alias e:='cd /dos/e'
 alias f:='cd /dos/f'
 alias g:='cd /dos/g'
 alias h:='cd /dos/h'
 alias i:='cd /cdrom'

Sad, I know, but I'm lazy. :-)

-- 
Take a look in Hagbard's World: |     w3ng - The WWW Norton Guide reader.
http://www.acemake.com/hagbard  |  ng2html - The NG to HTML converter.
Resist UK Internet Censorship:  |       eg - Norton Guide reader for OS/2.
http://babylon.ivision.co.uk    |   dgscan - DGROUP scanner for Clipper.

From: [email-masked] (Floyd Davidson)
Newsgroups: comp.os.linux.misc
Subject: Re: BASH: TCSH: My favourite aliases
Date: 15 Sep 1996 02:27:55 GMT
Organization: __________
Reply-To: [email-masked]

[email-masked] wrote:

>I use Tcsh, but anyways:
>
>alias lss	'ls -la | less'
>
>and three that I find really handy:
>
>alias dmnt	'mount -t msdos /dev/fd0 /mnt'
>alias emnt	'mount -t ext2 /dev/fd0 /mnt'
>alias umnt	'umount /dev/fd0'

Under bash:

 alias ll='/bin/ls --color=tty -lF'
 alias ls='/bin/ls --color=tty -xF'
 alias la='/bin/ls --color=tty -axF'

Paging ls output through more/less works best with a
function, which allows command arguments:

  function pll {
     /bin/ls -lF "$@" | more
  }

  function pls {
    /bin/ls -xF  "$@" | more;
  }

  function pla {
    /bin/ls -axF "$@" | more
  }

These are examples... I use a variety of ?sane commands
with a different first letter to distinquish them, on all
different systems that I use.  Each one works with a 
different screen size.  My normal xterm is 30x100 and
my "normal vt100" screen is 24x80, so these are the two
most common ones:

 alias xsane='echo -e "\\033c";tput is2;\
       stty sane line 1 rows 30 columns 100'

 alias vsane='echo -e "\\033c";tput is2;\
       stty sane line 1 rows 24 columns 80'

I mount all temporary file systems on /mnt so that one
command will umount any of them.  Note that in practice
the -t option is not needed if there is an entry in
fstab (with a "noauto" option so that it won't be mounted
automatically):

 alias m0='mount -t msdos /dev/fd0 /mnt'
 alias m1='mount -t msdos /dev/fd1 /mnt'
 alias mc='mount -t iso9660 /dev/cdrom /mnt'
 alias u='umount /mnt'

Handy command history aliases:

 alias h='fc -l'
 alias r='fs -s'

Here is one I'll through in to see whose eyebrows jump:

 alias pw='emacs'

(It's made me comfortable for many years... :-)

Floyd

-- 
Floyd L. Davidson          Salcha, Alaska         [email-masked]

From: "S.Sharpe" <[email-masked]>
Newsgroups: comp.os.linux.misc
Subject: Re: BASH: TCSH: My favourite aliases
Date: Sat, 14 Sep 1996 21:34:32 -0500
Organization: NeoSoft, Inc.  

David Welton wrote:

> I use Tcsh, but anyways:
> 
> alias lss       'ls -la | less'
> 
> and three that I find really handy:
> 
> alias dmnt      'mount -t msdos /dev/fd0 /mnt'
> alias emnt      'mount -t ext2 /dev/fd0 /mnt'
> alias umnt      'umount /dev/fd0'
> 
> --
> David Welton
> [email-masked]

These are my favorites as well, only I call
'dmnt' 'D' and to unmount, 'noD', etc.